%hebrejština
\newcommand\hebrfonty{
\DeclareFontFamily{T1}{bwh}{}
\DeclareFontShape{T1}{bwh}{m}{n}{<-> fbwhebl}{}
\DeclareFontShape{T1}{bwh}{bx}{n}{<-> fbwhebb}{}
}

\def\velhebrpis{13}
\newcommand\hebr{\fontencoding{T1}\fontfamily{bwh}\fontsize{\velhebrpis}{1.2\velhebrpis}\selectfont}
\newcommand\hebrewl{\fontencoding{T1}\fontfamily{bwh}\fontseries{m}\selectfont}
\newcommand\hebrewb{\fontencoding{T1}\fontfamily{bwh}\fontseries{bx}\selectfont}
%\font\hebrewl=fbwhebl at 19pt 
%\font\hebrewb=fbwhebb at 19pt
%\newcommand\hebr{\hebrewl}
%\newcommand\hebr{\hebrewb}


% z TBN
\def\definujaktivni #1{\catcode`#1=\active \bgroup \uccode`~=`#1
	\uppercase{\egroup\gdef~}{udělej něco, #1 je zde neaktivní}}
\gdef\hebrpis#1#2{\catcode`#1=\active \bgroup \uccode`~=`#1
	\uppercase{\egroup\def~}#2}
\hebrfonty
\def\hebrtext#1{{%
	\beginR\hebr#1\endR%
}}
\def\hebrodst#1{%
 \begin{flushright}%
  \hebrtext{#1}%
 \end{flushright}%
}
\def\qam{;\kern.05ex(\kern-.05ex}
\def\mems{\char`\~}

%%%%%%%%%%%%%%%%%%%%%%
% čeština pro eLaTeX %
%%%%%%%%%%%%%%%%%%%%%%

\def\clqq{{,\kern-1pt,}}
\def\crqq{{``}}
\def\clq{{,}}
\def\crq{{`}}
\def\uv#1{\clqq#1\crqq}

\catcode`\ě=\active\defě{\v e}
\catcode`\š=\active\defš{\v s}
\catcode`\č=\active\defč{\v c}
\catcode`\ř=\active\defř{\v r}
\catcode`\ž=\active\defž{\v z}
\catcode`\ý=\active\defý{\'y}
\catcode`\á=\active\defá{\'a}
\catcode`\í=\active\defí{\'\i}
\catcode`\é=\active\defé{\'e}
\catcode`\ú=\active\defú{\'u}
\catcode`\ů=\active\defů{\r u}
\catcode`\ď=\active\defď{\v d}
\catcode`\ť=\active\defť{\v t}
\catcode`\ň=\active\defň{\v n}
\catcode`\ó=\active\defó{\'o}

\catcode`\Ě=\active\defĚ{\v E}
\catcode`\Š=\active\defŠ{\v S}
\catcode`\Č=\active\defČ{\v C}
\catcode`\Ř=\active\defŘ{\v R}
\catcode`\Ž=\active\defŽ{\v Z}
\catcode`\Ý=\active\defÝ{\'Y}
\catcode`\Á=\active\defÁ{\'A}
\catcode`\Í=\active\defÍ{\'I}
\catcode`\É=\active\defÉ{\'E}
\catcode`\Ú=\active\defÚ{\'U}
\catcode`\Ů=\active\defŮ{\r U}
\catcode`\Ď=\active\defĎ{\v D}
\catcode`\Ť=\active\defŤ{\v T}
\catcode`\Ň=\active\defŤ{\v N}
\catcode`\Ó=\active\defÓ{\'O}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% zvláštní "prostředí" pro hebrejštinu: %
% \bh ... \eh                           %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\def\hebrpis#1#2{\def#1[##1]{##1#2}}
{% 
\catcode`\/=\active
  \gdef\bh{% 
    \beginR
    \begingroup
    \hebr
    \def\.{\char199 }% 
    \def\;{\char62 }% 
    \def\:{\char46 }% 
    \def\chp{\char93 }% 
    \def\CHP{\char125 }% 
    \def\chq{\char92 }% 
    \def\CHQ{\char124 }% 
    \def\chs{\char47 }% 
    \def\CHS{\char63 }% 
    \def\a{;}% 
    \def\A{:}% 
    \def\á{\qam}% 
    \def\Á{\char34 }% 
    \def\e{,}% 
    \def\E{\char60 }% 
    \def\é{e}% 
    \def\É{E}% 
    \def\i{i}% 
    \def\I{I}% 
    \def\o{o}% 
    \def\O{O}% 
    \def\ó{A}% 
    \def\u{u}% 
    \def\U{U}% 
    \def\ú{W}% 
    \def\met{\char42 }% 
    \def\Met{\char40 }%
    \hebrpis\MET{\char41 }%
    \def\atn{\char95 }%
    \def\Atn{\char43 }%
    \hebrpis\ATN{\char61 }% 
    \hebrpis\){a}% 
    \hebrpis\b b% 
    \hebrpis\B B% 
    \hebrpis\g g% 
    \hebrpis\G G% 
    \hebrpis\d d% 
    \hebrpis\D D% 
    \hebrpis\h h% 
    \hebrpis\H H% 
    \hebrpis\w w% 
    \hebrpis\W W% 
    \hebrpis\z z% 
    \hebrpis\Z Z% 
    \hebrpis\x x% 
    \hebrpis\ch x% 
    \hebrpis\ţ j% 
    \hebrpis\Ţ J% 
    \hebrpis\j y% 
    \hebrpis\J Y% 
    \hebrpis\k k% 
    \hebrpis\K K% 
    \hebrpis\ks\%% 
    \hebrpis\ksv{\char`\$ }% 
    %\hebrpis\ksq{\char`\^ }% tento znak z fontu nějak vypadl
    \hebrpis\ksq{\ksv[\raise1.5mm\hbox{\qam}]}% 
    \hebrpis\KS \&% 
    \hebrpis\l l% 
    \hebrpis\L L% 
    \hebrpis\lo{\kern.25ex o\kern-.25ex l}% 
    \hebrpis\Lo{\kern.25ex o\kern-.25ex L}% 
    \hebrpis\m m% 
    \hebrpis\M M% 
    \hebrpis\ms{\char126 }% 
    \hebrpis\n n% 
    \hebrpis\N N% 
    \hebrpis\ns !% 
    \hebrpis\ś s% 
    \hebrpis\Ś S% 
    \hebrpis\({\char`\[ }% 
    \hebrpis\p P% 
    \hebrpis\f p% 
    \hebrpis\P P% 
    \hebrpis\fs{\char64 }% 
    \hebrpis\c c% 
    \hebrpis\C C% 
    \hebrpis\cs{\char35 }% 
    \hebrpis\q q% 
    \hebrpis\Q Q% 
    \hebrpis\r r% 
    \hebrpis\R R% 
    \hebrpis\s f% 
    \hebrpis\S F% 
    \hebrpis\š v% 
    \hebrpis\Š V% 
    \hebrpis\ss X% 
    \hebrpis\t t% 
    \hebrpis\T T% 
    \def\\{{\normalsize\begin{math}\backslash\end{math}}}% 
    \catcode`\/=\active% 
    \def//{{\normalsize\begin{math}\char`\/\end{math}}}% 
    \def\-{\textrm{\normalsize --}}% 
  }% 
}% 
\gdef\eh{\endgroup\endR}% 

\catcode`\$=13
\def$#1${\bh#1\eh} % úplně znemožní mathematiku!

\def\chiasmus{\raisebox{-1.5ex}[0em][0em]{$\chi$}}
\def\chiasmussyn{\raisebox{-1.5ex}[0em][0em]{$\chi_\sim$}}
\def\chiasmusanti{\raisebox{-1.5ex}[0em][0em]{$\chi_\times$}}
\def\chiasmusantisyn{\raisebox{-1.5ex}[0em][0em]{$\chi_{\times\!\sim}$}}
\def\parallelismus{\raisebox{-1.5ex}[0em][0em]{$||$}}
\def\parallelismussyn{\raisebox{-1.5ex}[0em][0em]{$||_\sim$}}
\def\parallelismusanti{\raisebox{-1.5ex}[0em][0em]{$||_\times$}}
